import type { Data, FileSize, SanitizedCollectionConfig } from 'payload/types';
import React from 'react';
import './index.scss';
type FileInfo = FileSize & {
    url: string;
};
type FilesSizesWithUrl = {
    [key: string]: FileInfo;
};
export type PreviewSizesProps = {
    doc: Data & {
        sizes?: FilesSizesWithUrl;
    };
    imageCacheTag?: string;
    uploadConfig: SanitizedCollectionConfig['upload'];
};
export declare const PreviewSizes: React.FC<PreviewSizesProps>;
export {};
//# sourceMappingURL=index.d.ts.map