import React from 'react';
import { components as SelectComponents } from 'react-select';
const baseClass = 'multi-value-label';
export const MultiValueLabel = (props)=>{
    // @ts-expect-error-next-line// TODO Fix this - moduleResolution 16 breaks our declare module
    const { selectProps: { customProps: { draggableProps } = {} } = {} } = props;
    return /*#__PURE__*/ React.createElement("div", {
        className: baseClass
    }, /*#__PURE__*/ React.createElement(SelectComponents.MultiValueLabel, {
        ...props,
        innerProps: {
            className: `${baseClass}__text`,
            ...draggableProps || {}
        }
    }));
};

//# sourceMappingURL=index.js.map