import React from 'react';
import './index.scss';
export { SetStepNav } from './SetStepNav.js';
export type StepNavItem = {
    label: Record<string, string> | string;
    url?: string;
};
export type ContextType = {
    setStepNav: (items: StepNavItem[]) => void;
    stepNav: StepNavItem[];
};
declare const StepNavProvider: React.FC<{
    children?: React.ReactNode;
}>;
declare const useStepNav: () => ContextType;
declare const StepNav: React.FC<{
    Link?: React.ComponentType;
    className?: string;
}>;
export { StepNav, StepNavProvider, useStepNav };
//# sourceMappingURL=index.d.ts.map