import type { Description, Validate } from 'payload/types';
import React from 'react';
import type { FormFieldBase } from '../shared/index.js';
import './index.scss';
export type PasswordFieldProps = FormFieldBase & {
    autoComplete?: string;
    className?: string;
    description?: Description;
    disabled?: boolean;
    label?: string;
    name: string;
    path?: string;
    required?: boolean;
    style?: React.CSSProperties;
    validate?: Validate;
    width?: string;
};
export declare const Password: React.FC<PasswordFieldProps>;
//# sourceMappingURL=index.d.ts.map