'use client';
import React from 'react';
const FieldPropsContext = /*#__PURE__*/ React.createContext({
    type: '',
    indexPath: '',
    path: '',
    permissions: {},
    readOnly: false,
    schemaPath: '',
    siblingPermissions: {}
});
export const FieldPropsProvider = ({ type, children, indexPath, path, permissions, readOnly, schemaPath, siblingPermissions })=>{
    return /*#__PURE__*/ React.createElement(FieldPropsContext.Provider, {
        value: {
            type,
            indexPath,
            path,
            permissions,
            readOnly,
            schemaPath,
            siblingPermissions
        }
    }, children);
};
export const useFieldProps = ()=>{
    const path = React.useContext(FieldPropsContext);
    return path;
};

//# sourceMappingURL=index.js.map