import type { Field, FieldWithPath, SanitizedConfig } from 'payload/types';
import type { FieldMap } from './types.js';
export declare const mapFields: (args: {
    config: SanitizedConfig;
    /**
     * If mapFields is used outside of collections, you might not want it to add an id field
     */
    disableAddingID?: boolean;
    fieldSchema: FieldWithPath[];
    filter?: (field: Field) => boolean;
    parentPath?: string;
    readOnly?: boolean;
}) => FieldMap;
//# sourceMappingURL=fields.d.ts.map