'use client';
import React, { createContext, useContext } from 'react';
import { fieldComponents } from '../../fields/index.js';
const FieldComponentsContext = /*#__PURE__*/ createContext(fieldComponents);
export const FieldComponentsProvider = ({ children })=>{
    return /*#__PURE__*/ React.createElement(FieldComponentsContext.Provider, {
        value: fieldComponents
    }, children);
};
export const useFieldComponents = ()=>useContext(FieldComponentsContext);

//# sourceMappingURL=index.js.map