import type { LanguageTranslations } from '@payloadcms/translations';
import type { ClientConfig } from 'payload/types';
import React from 'react';
import type { ComponentMap } from '../ComponentMap/buildComponentMap/types.js';
import type { LanguageOptions } from '../Translation/index.js';
type Props = {
    children: React.ReactNode;
    componentMap: ComponentMap;
    config: ClientConfig;
    fallbackLang: ClientConfig['i18n']['fallbackLanguage'];
    lang: string;
    languageOptions: LanguageOptions;
    switchLanguageServerAction?: (lang: string) => Promise<void>;
    translations: LanguageTranslations;
};
export declare const RootProvider: React.FC<Props>;
export {};
//# sourceMappingURL=index.d.ts.map