import { dateLocales } from './dateLocales.js';
export const getDateLocale = (locale = 'enUS')=>{
    const formattedLocales = {
        en: 'enUS',
        my: 'enUS',
        ua: 'uk',
        zh: 'zhCN'
    };
    const formattedLocale = formattedLocales[locale] || locale;
    return {
        locale: formattedLocale,
        localeData: dateLocales[formattedLocale]
    };
};

//# sourceMappingURL=getDateLocale.js.map