'use client';
import React from 'react';
import { Hamburger } from '../../Hamburger/index.js';
import { useNav } from '../context.js';
export const NavHamburger = ({ baseClass })=>{
    const { navOpen, setNavOpen } = useNav();
    return /*#__PURE__*/ React.createElement("button", {
        className: `${baseClass}__mobile-close`,
        onClick: ()=>{
            setNavOpen(false);
        },
        tabIndex: !navOpen ? -1 : undefined,
        type: "button"
    }, /*#__PURE__*/ React.createElement(Hamburger, {
        isActive: true
    }));
};

//# sourceMappingURL=index.js.map