'use client';
import React from 'react';
import { Button } from '../Button/index.js';
import { usePreviewURL } from './usePreviewURL.js';
const baseClass = 'preview-btn';
const DefaultPreviewButton = ()=>{
    const { generatePreviewURL, label } = usePreviewURL();
    return /*#__PURE__*/ React.createElement(Button, {
        buttonStyle: "secondary",
        className: baseClass,
        // disabled={disabled}
        onClick: ()=>generatePreviewURL({
                openPreviewWindow: true
            }),
        size: "small"
    }, label);
};
export const PreviewButton = ({ CustomComponent })=>{
    if (CustomComponent) return CustomComponent;
    return /*#__PURE__*/ React.createElement(DefaultPreviewButton, null);
};

//# sourceMappingURL=index.js.map