'use client';
import { useConfig } from '@payloadcms/ui/providers/Config';
import { useTranslation } from '@payloadcms/ui/providers/Translation';
import { formatDate } from '@payloadcms/ui/utilities/formatDate';
import React from 'react';
export const DateCell = ({ cellData, dateDisplayFormat })=>{
    const { admin: { dateFormat: dateFormatFromConfig } } = useConfig();
    const { i18n } = useTranslation();
    const dateFormat = dateDisplayFormat || dateFormatFromConfig;
    return /*#__PURE__*/ React.createElement("span", null, cellData && formatDate(cellData, dateFormat, i18n.language));
};

//# sourceMappingURL=index.js.map