import type { FormState, SanitizedCollectionConfig } from 'payload/types';
import React from 'react';
import './index.scss';
export declare const editDrawerSlug = "edit-upload";
export declare const sizePreviewSlug = "preview-sizes";
export declare const UploadActions: ({ canEdit, showSizePreviews }: {
    canEdit: any;
    showSizePreviews: any;
}) => React.JSX.Element;
export type UploadProps = {
    collectionSlug: string;
    initialState?: FormState;
    onChange?: (file?: File) => void;
    updatedAt?: string;
    uploadConfig: SanitizedCollectionConfig['upload'];
};
export declare const Upload: React.FC<UploadProps>;
//# sourceMappingURL=index.d.ts.map