import React from 'react';
import { DatePickerField } from '../../../DatePicker/index.js';
const baseClass = 'condition-value-date';
export const DateField = ({ admin, disabled, onChange, value })=>{
    const { date } = admin || {};
    return /*#__PURE__*/ React.createElement("div", {
        className: baseClass
    }, /*#__PURE__*/ React.createElement(DatePickerField, {
        ...date,
        onChange: onChange,
        readOnly: disabled,
        value: value
    }));
};

//# sourceMappingURL=index.js.map