import type { FieldPermissions } from 'payload/auth';
import type { ArrayField, Row } from 'payload/types';
import React from 'react';
import type { UseDraggableSortableReturn } from '../../elements/DraggableSortable/useDraggableSortable/types.js';
import type { FieldMap } from '../../providers/ComponentMap/buildComponentMap/types.js';
import './index.scss';
type ArrayRowProps = UseDraggableSortableReturn & {
    CustomRowLabel?: React.ReactNode;
    addRow: (rowIndex: number) => void;
    duplicateRow: (rowIndex: number) => void;
    errorCount: number;
    fieldMap: FieldMap;
    forceRender?: boolean;
    hasMaxRows?: boolean;
    indexPath: string;
    labels: ArrayField['labels'];
    moveRow: (fromIndex: number, toIndex: number) => void;
    path: string;
    permissions: FieldPermissions;
    readOnly?: boolean;
    removeRow: (rowIndex: number) => void;
    row: Row;
    rowCount: number;
    rowIndex: number;
    schemaPath: string;
    setCollapse: (rowID: string, collapsed: boolean) => void;
};
export declare const ArrayRow: React.FC<ArrayRowProps>;
export {};
//# sourceMappingURL=ArrayRow.d.ts.map