import type { FieldBase, NumberField as NumberFieldType } from 'payload/types';
import React from 'react';
import type { FormFieldBase } from '../shared/index.js';
import './index.scss';
export type NumberFieldProps = FormFieldBase & {
    hasMany?: boolean;
    label?: FieldBase['label'];
    max?: number;
    maxRows?: number;
    min?: number;
    name?: string;
    onChange?: (e: number) => void;
    path?: string;
    placeholder?: NumberFieldType['admin']['placeholder'];
    step?: number;
    width?: string;
};
export declare const NumberField: React.FC<NumberFieldProps>;
//# sourceMappingURL=index.d.ts.map