import type { FieldPermissions } from 'payload/auth';
import React from 'react';
import type { MappedTab } from '../../providers/ComponentMap/buildComponentMap/types.js';
import type { FormFieldBase } from '../shared/index.js';
import './index.scss';
import { TabsProvider } from './provider.js';
export { TabsProvider };
export type TabsFieldProps = FormFieldBase & {
    forceRender?: boolean;
    name?: string;
    path?: string;
    permissions: FieldPermissions;
    tabs?: MappedTab[];
    width?: string;
};
export declare const Tabs: React.FC<TabsFieldProps>;
//# sourceMappingURL=index.d.ts.map