'use client';
import React, { createContext, useContext, useState } from 'react';
const Context = /*#__PURE__*/ createContext({
    mostRecentUpdate: null,
    reportUpdate: (doc)=>null
});
export const DocumentEventsProvider = ({ children })=>{
    const [mostRecentUpdate, reportUpdate] = useState(null);
    return /*#__PURE__*/ React.createElement(Context.Provider, {
        value: {
            mostRecentUpdate,
            reportUpdate
        }
    }, children);
};
export const useDocumentEvents = ()=>useContext(Context);

//# sourceMappingURL=index.js.map