'use client';
import React from 'react';
import { useNav } from '../../../elements/Nav/context.js';
export const Wrapper = (props)=>{
    const { baseClass, children, className } = props;
    const { navOpen } = useNav();
    return /*#__PURE__*/ React.createElement("div", {
        className: [
            baseClass,
            className,
            navOpen && `${baseClass}--nav-open`
        ].filter(Boolean).join(' ')
    }, children);
};

//# sourceMappingURL=index.js.map