import type { I18n } from '@payloadcms/translations';
import type { Permissions } from 'payload/auth';
import type { ClientCollectionConfig, ClientGlobalConfig } from 'payload/types';
export declare enum EntityType {
    collection = "collections",
    global = "globals"
}
export type EntityToGroup = {
    entity: ClientCollectionConfig;
    type: EntityType.collection;
} | {
    entity: ClientGlobalConfig;
    type: EntityType.global;
};
export type Group = {
    entities: EntityToGroup[];
    label: string;
};
export declare function groupNavItems(entities: EntityToGroup[], permissions: Permissions, i18n: I18n): Group[];
//# sourceMappingURL=groupNavItems.d.ts.map